WhatsApp API Platform
Webhooks

List Webhook Endpoints

GET
/api/v1/waba/webhooks

The outbound webhook endpoints registered for a WhatsApp number.

Authorization

ApiKeyAuth
X-API-Key<token>

API key from your dashboard (Settings > API Keys)

In: header

Query Parameters

waba_id*string

The WhatsApp number (WABA) these webhooks belong to.

limit?integer

Page size.

Rangevalue <= 100
iterator?string

Cursor returned by a previous page.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/waba/webhooks?waba_id=string"
{
  "success": true,
  "data": {
    "data": [
      {
        "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
        "url": "https://example.com/hooks/pingmate",
        "description": "string",
        "disabled": true,
        "event_types": [
          "string"
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "done": true,
    "iterator": "string"
  }
}
{
  "success": false,
  "message": "to field is required"
}
{
  "success": false,
  "message": "user not authenticated"
}
{
  "success": false,
  "message": "forbidden"
}
{
  "success": true,
  "message": "string"
}